package com.xyzc.start.controller;

import com.xyzc.common.core.utils.Result;
import com.xyzc.start.domain.App;
import com.xyzc.start.domain.vo.AppVo;
import com.xyzc.start.domain.vo.IndustryVo;
import com.xyzc.start.domain.vo.WebHomePageVo;
import com.xyzc.start.service.IHomePageService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 首页
 *
 * @author 杨兴卓
 */
@RestController
@RequestMapping("/homePage")
@AllArgsConstructor
public class HomePageController {

    private final IHomePageService homePageService;


    /**
     * 首页信息
     *
     * @return
     */
    @GetMapping("/query")
    public Result<WebHomePageVo> query() {
        WebHomePageVo homePage = homePageService.getHomePage();

        return Result.ok(homePage);
    }


    /**
     * 最近使用
     */
    @GetMapping("/recentlyUsed")
    public Result<List<AppVo>> recentlyUsed() {
        List<AppVo> list = homePageService.getRecentlyUsed();

        return Result.ok(list);
    }

    /**
     *
     */
}
