package com.xyzc.start.controller;

import com.xyzc.common.core.utils.Result;
import com.xyzc.start.domain.bo.BaseUserCollectQueryBo;
import com.xyzc.start.domain.vo.BaseUserCollectVo;
import com.xyzc.start.domain.vo.DrawModelCollectVo;
import com.xyzc.start.domain.vo.DrawModelVo;
import com.xyzc.start.service.IHomePageService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * 我的
 *
 * @author 杨兴卓
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("/myPage")
public class MyPageController {

    private final IHomePageService homePageService;

    /**
     * 点击更多获取应用
     */
    @PostMapping("/more")
    public Result<List<BaseUserCollectVo>> getMoreApps(@RequestBody BaseUserCollectQueryBo collectBo) {
        List<BaseUserCollectVo> collectApps = homePageService.getMoreApps(collectBo);
        return Result.ok(collectApps);
    }

    /**
     * 根据应用id，反回应用的具体信息
     */
//    @SaCheckPermission("webaccess:homePage:getAppDetail")
//    @Log(title = "更具应用id，反回应用的具体信息")
//    @GetMapping("/{id}")
//    public R<CarefulSelectVo> getAppDetail(@PathVariable("id") String id){
//         CarefulSelectVo appDetail = homePageService.getAppDetail(id);
//        return Result.ok(appDetail);
//    }


}

