package com.xyzc.start.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xyzc.common.mybatis.core.mapper.BaseMapperPlus;
import com.xyzc.start.constant.Const;
import com.xyzc.start.domain.App;
import com.xyzc.start.domain.bo.AbilityBo;
import com.xyzc.start.domain.vo.AppVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 应用 Mapper接口
 *
 * @author 杨兴卓
 */
@Repository
public interface AppMapper extends BaseMapperPlus<App, AppVo> {

    /**
     * 自定义条件分页查询
     */
    Page<App> customPageList(@Param(Const.PAGE) Page<Object> build, @Param(Const.BO) AbilityBo bo);

    /**
     * 默认读取前8个精选应用，后续再拿就需要传递id,然后从id开始获取数据
     * @param id
     * @return
     */
//    List<CarefulSelectVo> queryCarefulSelectApps(Long id);

    /**
     * 默认获取8个历史应用，更多需要拿到
     * @param isCollect 0:未收藏 1:已收藏
     * @param isMore 0:默认 1:更多
     * @param userId 用户id
     * @return
     */
//    List<CarefulSelectVo> queryCollectApps(Integer isCollect, Boolean isMore, Long userId);
}
