package com.xyzc.start.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xyzc.start.constant.Const;
import com.xyzc.start.domain.BaseUserCollect;
import com.xyzc.start.domain.bo.BaseUserCollectQueryBo;
import com.xyzc.start.domain.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * BaseUserCollectMapper
 *
 * @author 墨凡
 * date: 2024/7/21 17:46
 */
@Mapper
public interface BaseUserCollectMapper extends BaseMapper<BaseUserCollect> {

    /**
     * 根据条件查询 绘画模型
     *
     * @param bo
     * @return
     */
    List<BaseUserCollectVo> queryDrawModelByBo(@Param(Const.BO) BaseUserCollectQueryBo bo, @Param("baseUserId") Long baseUserId);

    /**
     * 根据条件查询 图像收藏
     *
     * @param collectBo
     * @return
     */
    List<BaseUserCollectVo> queryImageByBo(BaseUserCollectQueryBo collectBo, @Param("baseUserId") Long baseUserId);


    /**
     * 根据条件查询 应用收藏
     *
     * @param collectBo
     * @return
     */
    List<BaseUserCollectVo> queryAbilityByBo(BaseUserCollectQueryBo collectBo, @Param("baseUserId") Long baseUserId);

    /**
     * 根据上一个id，分页查询绘画模型
     *
     * @param userId
     * @param id
     * @return
     */
    List<DrawModelCollectVo> queryDrawModelById(Long userId, Long id);

    /**
     * 根据上一个id，分页查询图像
     *
     * @param userId
     * @param id
     * @return
     */
    List<DrawGraphicsVo> queryDrawGraphicsById(Long userId, Long id);

    /**
     * 根据上一个id，分页查询应用
     *
     * @param userId
     * @param id
     * @return
     */
    List<AppVo> queryAppById(Long userId, Long id);
}