package com.xyzc.start.service;


import com.xyzc.start.domain.bo.HobbyBo;
import com.xyzc.start.domain.vo.BaseUserPhotoFolderVo;
import com.xyzc.start.domain.vo.BaseUserVo;
import com.xyzc.start.domain.vo.IndustryVo;

import java.util.List;

public interface IUserInfoService {
    /**
     * 获取用户详细信息
     * @return
     */
    BaseUserVo queryInfo();


    /**
     * 获取用户燃料等常变信息
     * @return
     */
    BaseUserVo queryCurrent();

    /**
     * 保存用户爱好
     * @param hobby HobbyBo
     */
    void saveHobby(HobbyBo hobby);


    /**
     * 获取所有行业
     */
    List<IndustryVo> getIndustryAll();

    /**
     * 获取画夹的所有内容
     * @param id
     * @return
     */
    List<BaseUserPhotoFolderVo> photoFolder(Long id);

    /**
     * 根据id获取图画
     * @param id
     * @return
     */
    BaseUserPhotoFolderVo queryPhotoById(Long id);

    /**
     * 根据id删除图画
     * @param id
     */
    void deletePhoto(Long id);

    /**
     * 根据did删除多个图画
     * @param ids
     */
    void deletePhotos(List<Long> ids);
}
