package com.xyzc.start.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.xyzc.common.core.exception.ServerException;
import com.xyzc.common.web.security.user.SecurityUser;
import com.xyzc.start.constant.MoreTypeConst;
import com.xyzc.start.constant.SchemeConst;
import com.xyzc.start.domain.Scheme;
import com.xyzc.start.domain.bo.BaseUserCollectQueryBo;
import com.xyzc.start.domain.vo.*;
import com.xyzc.start.mapper.BaseUserCollectMapper;
import com.xyzc.start.mapper.DrawModelMapper;
import com.xyzc.start.mapper.IndustryMapper;
import com.xyzc.start.mapper.SchemeMapper;
import com.xyzc.start.service.IHomePageService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;


import java.util.ArrayList;
import java.util.List;

@Service
@RequiredArgsConstructor
public class HomePageServiceImpl implements IHomePageService {

    private final BaseUserCollectMapper baseUserCollectMapper;

    /**
     * 当前用户获取所有的历史应用和用户收藏的应用
     *
     * @return
     */
    @Override
    public WebHomePageVo getHomePage() {
        //拿到用户id
        Long userId = SecurityUser.getUserId();
        //获取当前用户的历史应用
//        List<CarefulSelectVo> historyApps = abilityMapper.queryCollectApps(IsCollectConst.NOT_COLLECT, false, userId);
//
//        //获取当前用户的收藏应用
//        List<CarefulSelectVo> colletApps = abilityMapper.queryCollectApps(IsCollectConst.COLLECTED, false, userId);
//
//        //TODO：后期优化，系统启动就将精选应用存储到redis,让用户优先从redis读取
//        //获取精选应用
//        List<CarefulSelectVo> carefulSelectApps = abilityMapper.queryCarefulSelectApps(null);

        //todo: 先试用假数据测试，然后查数据库真数据
        List<BaseUserCollectVo> historyApps = new ArrayList<>() {
            {
                add(new BaseUserCollectVo());
                add(new BaseUserCollectVo());
                add(new BaseUserCollectVo());
            }
        };
        List<BaseUserCollectVo> colletApps = new ArrayList<>() {
            {
                add(new BaseUserCollectVo());
                add(new BaseUserCollectVo());
                add(new BaseUserCollectVo());
            }
        };
        List<BaseUserCollectVo> carefulSelectApps = new ArrayList<>() {
            {
                add(new BaseUserCollectVo());
                add(new BaseUserCollectVo());
                add(new BaseUserCollectVo());
            }

            ;
        };


        //生成数据返回给视图
        WebHomePageVo webHomePageVo = new WebHomePageVo();
        webHomePageVo.setHistoryApps(historyApps);
        webHomePageVo.setColletApps(colletApps);
        webHomePageVo.setCarefullSelectApps(carefulSelectApps);
        return webHomePageVo;
    }

    /**
     * 获取最近使用的应用
     * @return
     */
    @Override
    public List<AppVo> getRecentlyUsed() {

        return List.of();
    }

    /**
     * 获取所有的收藏应用
     *
     * @return
     */
    @Override
    public List<BaseUserCollectVo> getMoreApps(BaseUserCollectQueryBo collectBo) {
        //todo : 需要获取当前用户信息
        Long userId = 123L;
        if (MoreTypeConst.COLLECT_DRAW_MODEL.equals(collectBo.getType())) {
            // todo: 下面还有一些别的字段需要确定
            //如果是收藏的绘画模型
            return baseUserCollectMapper.queryDrawModelByBo(collectBo, userId);

        } else if (MoreTypeConst.COLLECT_IMAGE.equals(collectBo.getType())) {
            //如果是收藏的图像
            return baseUserCollectMapper.queryImageByBo(collectBo, userId);
        }
        //剩下收藏的应用
        return baseUserCollectMapper.queryAbilityByBo(collectBo, userId);
    }

}
